Issue 9636

Title
Add documentation style guide
Priority
feature
Status
resolved
Nosy list
ced, dave, pokoli, reviewbot, roundup-bot
Assigned to
dave
Keywords
Documentation, review

Created on 2020-09-25.19:15:21 by dave, last changed 1 month ago by roundup-bot.

Messages

New changeset db2eea93e83d by David Harper in branch 'default':
Add documentation template files
https://hg.tryton.org/cookiecutter/rev/db2eea93e83d
New changeset 671443acd8a0 by David Harper in branch 'default':
Add documentation style guide
https://hg.tryton.org/www.tryton.org/rev/671443acd8a0
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2020-12-15.16:50:47

I think we should also update the cookiecutter template to provide a good default start for the documentation.

Author: [hidden] (dave) Tryton committer
Date: 2020-11-24.18:33:59

Yes, I think this is a good suggestion, so I've updated the review to add the guidelines to <www.tryton.org>.

Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2020-11-20.15:46:43

I'm wondering if the document guidelines should not be put outside the document on <www.tryton.org> like we have https://www.tryton.org/develop for development.

Author: [hidden] (dave) Tryton committer
Date: 2020-09-25.19:15:21
As noted here
https://discuss.tryton.org/t/gsod-project-documentation-for-basic-modules/3186/11
a good place for a style guide and suggested documentation structure is in the readthedocs repository.
History
Date User Action Args
2021-01-05 17:35:22roundup-botsetmessages: + msg63769
status: testing -> resolved
2020-12-30 19:21:36reviewbotsetmessages: + msg63713
2020-12-30 17:32:28davesetstatus: resolved -> testing
2020-12-30 17:05:11roundup-botsetmessages: + msg63707
nosy: + roundup-bot
status: testing -> resolved
2020-12-16 10:53:49reviewbotsetmessages: + msg63283
2020-12-15 18:41:42reviewbotsetmessages: + msg63270
2020-12-15 18:41:41reviewbotsetreviews: 300511003 -> 300511003, 339291002
2020-12-15 18:13:55reviewbotsetmessages: + msg63268
2020-12-15 17:14:24reviewbotsetmessages: + msg63266
2020-12-15 16:50:47cedsetmessages: + msg63265

Showing 10 items. Show all history (warning: this could be VERY long)